Pular para o conteúdo principal
PUT
/
crm
/
pipelines
/
2026-03
/
{objectType}
/
{pipelineId}
Substituir um pipeline
curl --request PUT \
  --url https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "displayOrder": 123,
  "label": "<string>",
  "stages": [
    {
      "displayOrder": 123,
      "label": "<string>",
      "metadata": {},
      "stageId": "<string>"
    }
  ]
}
'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "displayOrder": 123,
  "id": "<string>",
  "label": "<string>",
  "stages": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "displayOrder": 123,
      "id": "<string>",
      "label": "<string>",
      "metadata": {},
      "updatedAt": "2023-11-07T05:31:56Z",
      "writePermissions": "CRM_PERMISSIONS_ENFORCEMENT",
      "archivedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

objectType
string
obrigatório
pipelineId
string
obrigatório

Parâmetros de consulta

validateDealStageUsagesBeforeDelete
boolean
padrão:false
validateReferencesBeforeDelete
boolean
padrão:false

Corpo

application/json
displayOrder
integer<int32>
obrigatório

A ordem para exibir esta fase do pipeline. Se duas fases do pipeline tiverem um "displayOrder" correspondente, elas serão classificadas em ordem alfabética pelo rótulo de associação.

label
string
obrigatório

Um rótulo usado para organizar fases de pipeline na UI do HubSpot. Cada rótulo de fase deve ser exclusivo dentro do pipeline.

stages
object[]
obrigatório

As fases associadas ao pipeline. Podem ser recuperadas e atualizadas através dos pontos de extremidade de fases do pipeline.

Resposta

successful operation

archived
boolean
obrigatório

Se o pipeline está arquivado ou não.

createdAt
string<date-time>
obrigatório

A data em que o pipeline foi criado. Os pipelines padrão terão createdAt = 0.

displayOrder
integer<int32>
obrigatório

A ordem para exibir este pipeline. Se dois pipelines tiverem um "displayOrder" correspondente, eles serão classificados em ordem alfabética pelo rótulo de associação.

id
string
obrigatório

Um identificador exclusivo gerado pelo HubSpot que pode ser usado para recuperar e atualizar o pipeline.

label
string
obrigatório

Um rótulo de associação exclusivo usado para organizar pipelines na UI do HubSpot.

stages
object[]
obrigatório

As fases associadas ao pipeline. Podem ser recuperadas e atualizadas através dos pontos de extremidade de fases do pipeline.

updatedAt
string<date-time>
obrigatório

A data em que o pipeline foi atualizado pela última vez.

archivedAt
string<date-time>

A data em que o pipeline foi arquivado. "archivedAt" somente estará presente se o pipeline estiver arquivado.

Last modified on April 14, 2026